'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var MarkdownIt = _interopDefault(require('markdown-it'));

function md(options = 'commonmark', extend = md => md) {
  if (typeof options === 'function') {
    extend = options;
    options = 'commonmark';
  }
  const md = extend(new MarkdownIt(options));

  return {
    markup({ content }) {
      return { code: md.render(content) };
    }
  };
}

module.exports = md;
